Subject: No change required: #1083: USEPRO 5.3: Rules for generating message-ID

From: Harald Alvestrand <[email-masked]>
Date: Mon, 12 Feb 2007 06:47:35 +0100

I have not seen any compelling technical arguments that validate saying 
anything in USEPRO about generating Message-ID; the text in RFC 2822 
appears to be sufficient.

I have verified that the current usepro-07 draft says nothing at all 
about how to generate message-ID, just when it has to be present.

I'm marking this one "No change required".

Harald

Russ Allbery wrote:
> I propose closing this ticket with no further changes.
>
> There seems to be a rough consensus in the working group that the $alz
> convention of issuing spam cancels with message IDs formed by adding
> "cancel." to the beginning of the LHS of the original message ID to allow
> for intentional collisions between multiple cancels for the same message
> is the sort of weird stunt that can be left as an intentional protocol
> violation.
>
> The rest of the ticket is talking about namespace issues in deciding what
> message IDs to use for messages.  USEFOR now defers to RFC 2822 for this,
> and I think the treatment in RFC 2822 is sufficient.  This is a tricky
> area, so if we can avoid having to say more about it and use the consensus
> of the RFC 2822 working group, that saves us a lot of work and tricky
> wording discussion.
>
>